Get Upload Urls Batch
curl --request POST \
--url https://api.heybee.app/v1/experiments/{experiment_id}/upload-url-batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assets": [
{
"content_hash": "<string>",
"local_ref": "<string>",
"media_type": "<string>",
"size_bytes": 1,
"extension": "<string>"
}
],
"idempotency_key": "<string>"
}
'import requests
url = "https://api.heybee.app/v1/experiments/{experiment_id}/upload-url-batch"
payload = {
"assets": [
{
"content_hash": "<string>",
"local_ref": "<string>",
"media_type": "<string>",
"size_bytes": 1,
"extension": "<string>"
}
],
"idempotency_key": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
assets: [
{
content_hash: '<string>',
local_ref: '<string>',
media_type: '<string>',
size_bytes: 1,
extension: '<string>'
}
],
idempotency_key: '<string>'
})
};
fetch('https://api.heybee.app/v1/experiments/{experiment_id}/upload-url-batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"assets": [
{
"expires_in": 123,
"file_path": "<string>",
"local_ref": "<string>",
"bucket": "<string>",
"resumable_url": "<string>",
"reused_asset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reused_existing": false,
"sample_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"upload_token": "<string>",
"upload_url": "<string>"
}
],
"idempotency_key": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Samples
Get Upload Urls Batch
Generate presigned upload URLs for a batch of assets.
POST
/
v1
/
experiments
/
{experiment_id}
/
upload-url-batch
Get Upload Urls Batch
Authorizations
BearerAuthApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
⌘I

